Bug 821667 - Evolution with Google "OnlineAccounts": Cannot find a corresponding account in the org.gnome.OnlineAccounts service from which to obtain an authentication token.
Evolution with Google "OnlineAccounts": Cannot find a corresponding account i...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 06:11 EDT by Pedro Francisco
Modified: 2012-06-11 03:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 12:50:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 660378 None None None Never

  None (edit)
Description Pedro Francisco 2012-05-15 06:11:39 EDT
Description of problem:
I get the message:
"Cannot find a corresponding account in the org.gnome.OnlineAccounts service from which to obtain an authentication token."

Version-Release number of selected component (if applicable):
evolution-3.4.1-2.fc17.i686


How reproducible:
Always


Steps to Reproduce:
1. Add Google on Online Accounts
2. Open Evolution, edit Google's account settings
3. Select "Check for new mail in all folders"
4. Close evolution
5. Reopen evolution


Actual results:
Error message appears "Cannot find a corresponding account in the org.gnome.OnlineAccounts service from which to obtain an authentication token."


Expected results:
Should "Check for new mail in all folders"


Additional info:
Checking or unchecking any other checkbox on "Receiving options" also triggers the error; renaming the account seems to do it as well.


"Fix" the issue:
1- Delete 'username@gmail.com' account from Evolution.
2- Close Evolution.
3- Open "Online Accounts"
4- Select "Gmail".
5- Disable and Reenable "Mail".
6- Open Evolution: the account works again.
Comment 1 Milan Crha 2012-05-16 12:50:25 EDT
Thanks for a bug report. There is filled a similar upstream bug [1], thus I'm moving this there. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=660378
Comment 2 Mattia M. 2012-05-18 04:37:55 EDT
I get the same problem on Fedora 17 RC1 x86_64.
Comment 3 Pedro Francisco 2012-05-18 06:20:04 EDT
bug report upstream is https://bugzilla.gnome.org/show_bug.cgi?id=676226 .
Comment 4 Mattia M. 2012-05-18 10:14:55 EDT
(In reply to comment #2)
> I get the same problem on Fedora 17 RC1 x86_64.

Sorry, I was meaning "Fedora 17 TC6": http://dl.fedoraproject.org/pub/alt/stage/17.TC6/
Comment 5 techouse 2012-05-31 05:29:56 EDT
Same error and "fix" apply in the final release of Fedora 17.
Comment 6 Kevin R. Porter 2012-06-08 17:07:24 EDT
Looking at F17's "updates-testing" repo, the latest version of evolution available to end users who don't want to risk running "rawhide" is 3.4.2 which does not include the GOA account patch developed for upstream bug: 
https://bugzilla.gnome.org/show_bug.cgi?id=676226

which appears to have been committed into evolution 3.4.3+

Would one of the Gods of Olympus please deign to roll a build of evolution 3.4.3+ into the F17 updates-testing repo so us mere mortals who find rawhide too fearsome may access this fix?  (and get full use of our gmail accounts again?)

Thanks be to those most high... 8-)
Comment 7 Milan Crha 2012-06-11 03:32:09 EDT
The 3.4.3 release is planned on the next Monday, June 18th.

Note You need to log in before you can comment on or make changes to this bug.